## org.jdesktop.animation.timing
Enum Animator.RepeatBehavior

    java.lang.Object
      java.lang.Enum<Animator.RepeatBehavior>
          org.jdesktop.animation.timing.Animator.RepeatBehavior

All Implemented Interfaces:
  Serializable, Comparable<Animator.RepeatBehavior>

Enclosing class:
  Animator

    public static enum Animator.RepeatBehavior

extends Enum<Animator.RepeatBehavior>

RepeatBehavior determines how each successive cycle will flow.

See Also:
  `Animator.setRepeatBehavior(org.jdesktop.animation.timing.Animator.RepeatBehavior)`

Enum Constant Summary
`LOOP` Each repeated cycle proceeds in the same direction as the previous one
`REVERSE` Each cycle proceeds in the opposite direction as the previous one

Method Summary
`static Animator.RepeatBehavior` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Animator.RepeatBehavior[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LOOP

    public static final Animator.RepeatBehavior LOOP

  Each repeated cycle proceeds in the same direction as the previous one

### REVERSE

    public static final Animator.RepeatBehavior REVERSE

  Each cycle proceeds in the opposite direction as the previous one

Method Detail

### values

    public static Animator.RepeatBehavior[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Animator.RepeatBehavior c : Animator.RepeatBehavior.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Animator.RepeatBehavior valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null